#
# spec file for package python-WSGIProxy2
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-WSGIProxy2
Version:        0.4.2
Release:        4.2
Summary:        WSGI Proxy Implementation
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/gawel/WSGIProxy2/
Source:         http://pypi.python.org/packages/source/W/WSGIProxy2/WSGIProxy2-%{version}.zip
BuildRequires:  python-WebOb
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  unzip
Conflicts:      python-WSGIProxy
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Proxy support for WebOb or classic WSGI applications

%prep
%setup -q -n WSGIProxy2-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu May 14 2015 benoit.monin@gmx.fr
- update to version 0.4.2:
  * Undo webob's unquoting to handle paths with percent quoted utf8
    characters [Laurence Rowe]
* Mon Jan 13 2014 dmueller@suse.com
- update to 0.4.1:
  * fix tests.
  * change the way requests iter response
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Sep 25 2013 p.drouand@gmail.com
- Update to version 0.3
  + Make allowed_methods check optional
* Thu May  2 2013 speilicke@suse.com
- Conflict with python-WSGIProxy
* Mon Apr 29 2013 speilicke@suse.com
- Add README.rst
* Mon Apr 29 2013 dmueller@suse.com
- Initial package (0.1)
